# Class ActionMapUIResource

java.lang.Object
javax.swing.ActionMap
javax.swing.plaf.ActionMapUIResource

All Implemented Interfaces:
  `Serializable`, `UIResource`

public class ActionMapUIResource extends ActionMap implements UIResource
A subclass of javax.swing.ActionMap that implements UIResource. UI classes which provide an ActionMap should use this class.

Since:
  1.3

## Constructor Summary

Constructors
Constructor
Description
`ActionMapUIResource()`
Constructs an `ActionMapUIResource`.

## Method Summary

### Methods declared in class javax.swing.ActionMap

`allKeys, clear, get, getParent, keys, put, remove, setParent, size`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ActionMapUIResource

public ActionMapUIResource()
Constructs an `ActionMapUIResource`.